<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: HDSUav.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_h_d_s_uav_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">HDSUav.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_h_d_s_uav_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef HDSUAV_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define HDSUAV_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_object_8h.html">Object.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="keyword">class </span>FrameworkManager;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keyword">class </span>SerialPort;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    }</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">namespace </span>filter</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keyword">class </span>Ahrs;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="keyword">class </span>UavMultiplex;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    }</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keyword">namespace </span>actuator</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keyword">class </span>Bldc;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    }</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keyword">namespace </span>sensor</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        <span class="keyword">class </span>UsRangeFinder;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <span class="keyword">class </span>BatteryMonitor;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        <span class="keyword">class </span>VrpnClient;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="keyword">class </span>Imu;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    }</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;}</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;{</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">namespace </span>meta</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;{</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">class </span>MetaUsRangeFinder;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keyword">class </span>MetaVrpnObject;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classframework_1_1meta_1_1_h_d_s_uav.html">   50</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1meta_1_1_h_d_s_uav.html">HDSUav</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_object.html">core::Object</a></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    {</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;                None,</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;                Auto,<span class="comment">//rt serial if hds x4 ou x8, auto ip sinon</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;                AutoIP,</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;                UserDefinedIP,</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;                AutoSerialPort,</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;                } VRPNType_t;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            <span class="comment">//uav_name: for optitrack</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            <a class="code" href="classframework_1_1meta_1_1_h_d_s_uav.html">HDSUav</a>(<a class="code" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a>* parent,std::string uav_name,VRPNType_t VRPNType=None,<span class="keywordtype">int</span> VRPNSerialObjectId=0,<a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex=NULL);</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;            ~<a class="code" href="classframework_1_1meta_1_1_h_d_s_uav.html">HDSUav</a>();</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            <span class="keywordtype">void</span> SetupVRPN(std::string optitrack_address,std::string name);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> StartSensors(<span class="keywordtype">void</span>){};</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            <span class="keywordtype">void</span> UseDefaultPlot(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;            <a class="code" href="classframework_1_1actuator_1_1_bldc.html">actuator::Bldc</a>* GetBldc(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a>* GetUavMultiplex(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_imu.html">sensor::Imu</a>* GetImu(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_ahrs.html">filter::Ahrs</a>* GetAhrs(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            <a class="code" href="classframework_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a>* GetMetaUsRangeFinder(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a>* GetBatteryMonitor(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a>* GetVrpnClient(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            <a class="code" href="classframework_1_1meta_1_1_meta_vrpn_object.html">meta::MetaVrpnObject</a>* GetVrpnObject(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            <span class="keywordtype">void</span> SetupVRPNSerial(<a class="code" href="classframework_1_1core_1_1_serial_port.html">core::SerialPort</a> *vrpn_port,std::string name,<span class="keywordtype">int</span> VRPNSerialObjectId);</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <span class="keywordtype">void</span> SetupVRPNAutoIP(std::string name);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            <span class="keywordtype">void</span> SetBldc(<a class="code" href="classframework_1_1actuator_1_1_bldc.html">actuator::Bldc</a>* bldc);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            <span class="keywordtype">void</span> SetMultiplex(<a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex);</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            <span class="keywordtype">void</span> SetAhrs(<a class="code" href="classframework_1_1filter_1_1_ahrs.html">filter::Ahrs</a>* ahrs);</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            <span class="keywordtype">void</span> SetUsRangeFinder(<a class="code" href="classframework_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a>* us);</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            <span class="keywordtype">void</span> SetBatteryMonitor(<a class="code" href="classframework_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a>* battery);</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_imu.html">sensor::Imu</a>* imu;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_ahrs.html">filter::Ahrs</a>* ahrs;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;            <a class="code" href="classframework_1_1actuator_1_1_bldc.html">actuator::Bldc</a>* bldc;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a>* us;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <a class="code" href="classframework_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a>* meta_us;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *vrpnclient;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            <a class="code" href="classframework_1_1meta_1_1_meta_vrpn_object.html">MetaVrpnObject</a>* uav_vrpn;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a>* battery;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    };</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;} <span class="comment">// end namespace meta</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="preprocessor">#endif // HDSUAV_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1_serial_port_html"><div class="ttname"><a href="classframework_1_1core_1_1_serial_port.html">framework::core::SerialPort</a></div><div class="ttdoc">Base class for serial port. </div><div class="ttdef"><b>Definition:</b> SerialPort.h:23</div></div>
<div class="ttc" id="classframework_1_1meta_1_1_h_d_s_uav_html"><div class="ttname"><a href="classframework_1_1meta_1_1_h_d_s_uav.html">framework::meta::HDSUav</a></div><div class="ttdoc">Base class to construct sensors/actuators depending on uav type. </div><div class="ttdef"><b>Definition:</b> HDSUav.h:50</div></div>
<div class="ttc" id="classframework_1_1actuator_1_1_bldc_html"><div class="ttname"><a href="classframework_1_1actuator_1_1_bldc.html">framework::actuator::Bldc</a></div><div class="ttdoc">Base class for brushless motors drivers. </div><div class="ttdef"><b>Definition:</b> Bldc.h:39</div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></div><div class="ttdoc">Main class of the Framework library. </div><div class="ttdef"><b>Definition:</b> FrameworkManager.h:44</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_ahrs_html"><div class="ttname"><a href="classframework_1_1filter_1_1_ahrs.html">framework::filter::Ahrs</a></div><div class="ttdoc">Abstract class for AHRS. </div><div class="ttdef"><b>Definition:</b> Ahrs.h:49</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_us_range_finder_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_us_range_finder.html">framework::sensor::UsRangeFinder</a></div><div class="ttdoc">Base class for UsRangeFinder. </div><div class="ttdef"><b>Definition:</b> UsRangeFinder.h:41</div></div>
<div class="ttc" id="classframework_1_1meta_1_1_meta_vrpn_object_html"><div class="ttname"><a href="classframework_1_1meta_1_1_meta_vrpn_object.html">framework::meta::MetaVrpnObject</a></div><div class="ttdoc">Classe haut niveau intégrant un objet VRPN. </div><div class="ttdef"><b>Definition:</b> MetaVrpnObject.h:50</div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html"><div class="ttname"><a href="classframework_1_1core_1_1_object.html">framework::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:75</div></div>
<div class="ttc" id="classframework_1_1meta_1_1_meta_us_range_finder_html"><div class="ttname"><a href="classframework_1_1meta_1_1_meta_us_range_finder.html">framework::meta::MetaUsRangeFinder</a></div><div class="ttdoc">Classe haut niveau pour capteur à ultra son. </div><div class="ttdef"><b>Definition:</b> MetaUsRangeFinder.h:38</div></div>
<div class="ttc" id="_object_8h_html"><div class="ttname"><a href="_object_8h.html">Object.h</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_battery_monitor_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_battery_monitor.html">framework::sensor::BatteryMonitor</a></div><div class="ttdoc">Base class for battery monitor. </div><div class="ttdef"><b>Definition:</b> BatteryMonitor.h:34</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_vrpn_client_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_vrpn_client.html">framework::sensor::VrpnClient</a></div><div class="ttdoc">Class to connect to a Vrpn server. </div><div class="ttdef"><b>Definition:</b> VrpnClient.h:39</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_imu_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_imu.html">framework::sensor::Imu</a></div><div class="ttdoc">Base class for Imu. </div><div class="ttdef"><b>Definition:</b> Imu.h:38</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_uav_multiplex_html"><div class="ttname"><a href="classframework_1_1filter_1_1_uav_multiplex.html">framework::filter::UavMultiplex</a></div><div class="ttdoc">Class defining uav multiplexing. </div><div class="ttdef"><b>Definition:</b> UavMultiplex.h:39</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_ced5e5b63a4f31796691615aae494bcc.html">Meta</a></li><li class="navelem"><a class="el" href="dir_63a5a607d66199e87f82dbff7127a647.html">src</a></li><li class="navelem"><a class="el" href="_h_d_s_uav_8h.html">HDSUav.h</a></li>
    <li class="footer">Generated on Fri Feb 5 2016 14:55:05 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
